
package updateservice.shopping;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for MeatType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="MeatType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Pork"/>
 *     &lt;enumeration value="Beef"/>
 *     &lt;enumeration value="Poultry"/>
 *     &lt;enumeration value="Fish"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "MeatType")
@XmlEnum
public enum MeatType {

    @XmlEnumValue("Pork")
    PORK("Pork"),
    @XmlEnumValue("Beef")
    BEEF("Beef"),
    @XmlEnumValue("Poultry")
    POULTRY("Poultry"),
    @XmlEnumValue("Fish")
    FISH("Fish");
    private final String value;

    MeatType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MeatType fromValue(String v) {
        for (MeatType c: MeatType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
