
package updateservice.shopping;

import java.io.Serializable;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for OrderItemType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrderItemType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;choice>
 *           &lt;element name="FruitItem" type="{urn:UpdateService:Shopping}FruitType"/>
 *           &lt;element name="VegetableItem" type="{urn:UpdateService:Shopping}VegetableType"/>
 *           &lt;element name="MeatItem" type="{urn:UpdateService:Shopping}MeatType"/>
 *           &lt;element name="DairyItem" type="{urn:UpdateService:Shopping}DairyType"/>
 *         &lt;/choice>
 *         &lt;element name="Quantity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *       &lt;/sequence>
 *       &lt;attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrderItemType", propOrder = {
    "fruitItemOrVegetableItemOrMeatItem",
    "quantity"
})
public class OrderItemType
    implements Serializable
{

    @XmlElements({
        @XmlElement(name = "MeatItem", type = MeatType.class),
        @XmlElement(name = "VegetableItem", type = VegetableType.class),
        @XmlElement(name = "DairyItem", type = DairyType.class),
        @XmlElement(name = "FruitItem", type = FruitType.class)
    })
    protected Object fruitItemOrVegetableItemOrMeatItem;
    @XmlElement(name = "Quantity")
    protected int quantity;
    @XmlAttribute(required = true)
    protected String id;

    /**
     * Gets the value of the fruitItemOrVegetableItemOrMeatItem property.
     * 
     * @return
     *     possible object is
     *     {@link MeatType }
     *     {@link VegetableType }
     *     {@link DairyType }
     *     {@link FruitType }
     *     
     */
    public Object getFruitItemOrVegetableItemOrMeatItem() {
        return fruitItemOrVegetableItemOrMeatItem;
    }

    /**
     * Sets the value of the fruitItemOrVegetableItemOrMeatItem property.
     * 
     * @param value
     *     allowed object is
     *     {@link MeatType }
     *     {@link VegetableType }
     *     {@link DairyType }
     *     {@link FruitType }
     *     
     */
    public void setFruitItemOrVegetableItemOrMeatItem(Object value) {
        this.fruitItemOrVegetableItemOrMeatItem = value;
    }

    public boolean isSetFruitItemOrVegetableItemOrMeatItem() {
        return (this.fruitItemOrVegetableItemOrMeatItem!= null);
    }

    /**
     * Gets the value of the quantity property.
     * 
     */
    public int getQuantity() {
        return quantity;
    }

    /**
     * Sets the value of the quantity property.
     * 
     */
    public void setQuantity(int value) {
        this.quantity = value;
    }

    public boolean isSetQuantity() {
        return true;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    public boolean isSetId() {
        return (this.id!= null);
    }

}
