
package updateservice.shopping;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import java.util.Map;
import java.util.HashMap;
import java.util.Collections;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the updateservice.shopping package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _ShoppingCart_QNAME = new QName("urn:UpdateService:Shopping", "ShoppingCart");
    private final static QName _OrderItem_QNAME = new QName("urn:UpdateService:Shopping", "OrderItem");

    private static final Map<QName, Class> QNAME_CLASS_MAP;

    static
    {
      Map<QName, Class> tmp = new HashMap<QName, Class>(2);
      tmp.put(_ShoppingCart_QNAME, ShoppingCartType.class);
      tmp.put(_OrderItem_QNAME, OrderItemType.class);
      QNAME_CLASS_MAP = Collections.unmodifiableMap(tmp);
    }

    public Class getClass(QName qname)
    {
      return QNAME_CLASS_MAP.get(qname);
    }

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: updateservice.shopping
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link OrderItemType }
     * 
     */
    public OrderItemType createOrderItemType() {
        return new OrderItemType();
    }

    /**
     * Create an instance of {@link ShoppingCartType }
     * 
     */
    public ShoppingCartType createShoppingCartType() {
        return new ShoppingCartType();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ShoppingCartType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:UpdateService:Shopping", name = "ShoppingCart")
    public JAXBElement<ShoppingCartType> createShoppingCart(ShoppingCartType value) {
        return new JAXBElement<ShoppingCartType>(_ShoppingCart_QNAME, ShoppingCartType.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link OrderItemType }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:UpdateService:Shopping", name = "OrderItem")
    public JAXBElement<OrderItemType> createOrderItem(OrderItemType value) {
        return new JAXBElement<OrderItemType>(_OrderItem_QNAME, OrderItemType.class, null, value);
    }

}
