
package updateservice.shopping;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for VegetableType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="VegetableType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="Green Bean"/>
 *     &lt;enumeration value="Cabbage"/>
 *     &lt;enumeration value="Squash"/>
 *     &lt;enumeration value="Carrot"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "VegetableType")
@XmlEnum
public enum VegetableType {

    @XmlEnumValue("Green Bean")
    GREEN_BEAN("Green Bean"),
    @XmlEnumValue("Cabbage")
    CABBAGE("Cabbage"),
    @XmlEnumValue("Squash")
    SQUASH("Squash"),
    @XmlEnumValue("Carrot")
    CARROT("Carrot");
    private final String value;

    VegetableType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static VegetableType fromValue(String v) {
        for (VegetableType c: VegetableType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
